module.exports.__fsLocationMap = [[1, 13, 2, 7], [1, 23, 2, 22], [2, 8, 3, 7], [2, 23, 3, 27], [2, 8, 3, 40], [12, 14, 4, 16], [12, 8, 4, 25], [12, 14, 4, 31], [12, 21, 4, 38], [12, 29, 4, 46], [19, 5, 11, 3], [19, 18, 11, 16], [19, 18, 12, 5], [19, 18, 12, 12], [20, 9, 13, 5], [20, 15, 13, 11], [20, 21, 13, 17], [20, 26, 13, 22], [20, 33, 13, 29], [20, 36, 13, 32], [20, 44, 13, 40], [21, 9, 14, 5], [22, 13, 14, 13], [22, 18, 14, 18], [25, 9, 15, 5], [25, 14, 15, 10], [26, 13, 16, 7], [26, 19, 16, 13], [26, 24, 16, 18], [26, 32, 16, 26], [29, 9, 18, 5], [29, 14, 18, 10], [38, 5, 28, 3], [38, 11, 28, 9], [39, 9, 29, 5], [39, 15, 29, 11], [39, 22, 29, 18], [39, 27, 29, 23], [39, 36, 29, 32], [40, 9, 30, 5], [40, 14, 30, 10], [40, 25, 30, 21], [40, 30, 30, 26], [40, 36, 30, 32], [40, 41, 30, 37], [40, 51, 30, 47], [41, 9, 31, 5], [41, 16, 31, 12], [41, 21, 31, 17], [43, 5, 34, 3], [44, 9, 35, 5], [44, 16, 35, 12], [44, 21, 35, 17], [46, 5, 38, 3], [46, 10, 38, 8], [47, 9, 39, 5], [47, 16, 39, 12], [47, 21, 39, 17], [47, 30, 39, 26], [49, 5, 42, 3], [49, 10, 42, 8], [50, 9, 43, 5], [50, 14, 43, 10], [50, 25, 43, 21], [50, 30, 43, 26], [50, 36, 43, 32], [50, 41, 43, 37], [50, 51, 43, 47], [51, 9, 44, 5], [51, 16, 44, 12]];
module.exports.__esModule = true;
const path = require('path');
const Superconf = require('superconf').Superconf;
module.exports.Config = class Config extends Superconf {
  /**
      * Config constructor
      *
      * @method constructor
      * @param  {object}    opts Options object
      */
  constructor (opts) {
    opts = opts || {};
    const cwd = opts.cwd || `${process.cwd()}/config/`;
    super({ cwd: cwd });
    this.config({
      dept: opts.dept || 1
    });
    this.__config = {};
  }

  /**
      * Loads a config from file
      *
      * @method load
      * @param  {string} name Load config `name`
      * @return {object}       Returns a Config object
      */
  load (name) {
    const conf = this.tryFiles(name);
    this.__config = this.merge(this.__config, conf);
    return this.__config;
  }

  getConfig () {
    return this.__config;
  }

  get (key) {
    return this.__config[key];
  }

  set (conf) {
    this.__config = this.merge(this.__config, conf);
    return this;
  }
};
